help!

03-05-19 ming2008

我把struts1.1,jdk1.4,tomcat4.1.6都换了一遍,但启动tomcat时仍提示应声明plug-in:

[ERROR] Digester - -Parse Error at line 43 column 59: Element type "plug-in" mus

t be declared. <org.xml.sax.SAXParseException: Element type "plug-in" must be de

clared.>org.xml.sax.SAXParseException: Element type "plug-in" must be declared.

at org.apache.xerces.framework.XMLParser.reportError(XMLParser.java:1213

)

那位高人救救小弟吧!

yellowicq
2003-05-20 14:50

你的struts-config.xml里面必须有:

	<plug-in className="org.apache.struts.validator.ValidatorPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validator-rules.xml,/WEB-INF/validation.xml"/>
	</plug-in>

这样的标记